module.exports = {
  root: true,
  parserOptions: {
    parser: 'babel-eslint'
  },
  env: {
    browser: true,
    es6: true
  },
  extends: [
    'plugin:vue/vue3-recommended',
    'standard'
  ],
  plugins: [
    'vue'
  ],
  globals: {
    AMap: true
  },
  rules: {
    'generator-star-spacing': 'off',
    'no-debugger': 'off',
    'no-tabs': 'off',
    eqeqeq: 'off',
    'no-eq-null': 'off',
    'no-return-assign': 'off',
    quotes: ['error', 'single', { allowTemplateLiterals: true }],
    'vue/no-parsing-error': [2, { 'x-invalid-end-tag': false }]
  }
}
