import request from 'utils/request'
import download from 'utils/download'

/** *** 打卡记录 *****/

//  打卡记录--获取分页表格
export function getTableListOfRegister (object) {
  return request({
    url: '/attendance/admin/manage/pageSignRecord',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  打卡记录--导出分页表格
export function downloadDataOfRegister (object) {
  return download({
    url: '/attendance/admin/manage/exportSign',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 每日统计 *****/

//  每日统计--获取分页表格
export function getTableListOfDaily (object) {
  return request({
    url: '/attendance/admin/manage/pageTrack',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  每日统计--获取详情
export function getDetailDataOfDaily (object) {
  return request({
    url: '/attendance/admin/manage/getTrack',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  每日统计--导出分页表格
export function downloadDataOfDaily (object) {
  return download({
    url: '/attendance/admin/manage/pageTrackExport',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 汇总统计 *****/

//  汇总统计--获取分页表格
export function getTableListOfSummary (object) {
  return request({
    url: '/attendance/admin/manage/getCollect',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  汇总统计--导出分页表格
export function downloadDataOfSummary (object) {
  return download({
    url: '/attendance/admin/manage/getCollectExport',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
