import request from 'utils/request'

//  登录
export function submitLoginForm (object) {
  return request({
    url: '/landcrm/rest/userInfo/qpiUserLogin',
    method: 'post',
    data: object,
    type: 'FORM'
  })
}
//  校验凭证合法性
export function checkTokenLegitimate (object) {
  return request({
    url: '/landcrm/rest/userInfo/getUser',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  获取菜单及权限
export function getMenu (object) {
  return request({
    url: '/landcrm/rest/postInfo/getFunctionButtons2',
    method: 'post',
    data: object,
    type: 'FORM'
  })
}
//  刷新权限
export function refreshLimits (object) {
  return request({
    url: '/device/login/clearToken',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
