import request from 'utils/request'

/** *** 考勤组设置 *****/

//  考勤组设置--获取分页表格
export function getTableListOfAttendance (object) {
  return request({
    url: '/attendance/admin/manage/pageGroup',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  考勤组设置--获取详情
export function getDetailDataOfAttendance (object) {
  return request({
    url: `/attendance/admin/manage/getGroupDetail`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  考勤组设置--提交新增表单
export function submitAddFormOfAttendance (object) {
  return request({
    url: `/attendance/admin/manage/addGroup`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  考勤组设置--提交编辑表单
export function submitEditFormOfAttendance (object) {
  return request({
    url: `/attendance/admin/manage/updateGroup`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  考勤组设置--提交删除表单
export function submitDeleteFormOfAttendance (object) {
  return request({
    url: `/attendance/admin/manage/removeGroup`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 围栏范围设置 *****/

//  围栏范围设置--获取分页表格
export function getTableListOfEnclosure (object) {
  return request({
    url: '/attendance/admin/manage/pageFence',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  围栏范围设置--获取详情
export function getDetailDataOfEnclosure (object) {
  return request({
    url: '/attendance/admin/manage/getFenceDetails',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  围栏范围设置--提交表单
export function submitFormOfEnclosure (object) {
  return request({
    url: `/attendance/admin/manage/setRange`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
