import request from 'utils/request'

/** *** 字典 *****/

//  字典--获取通用字典值
export function getCurrencyDictionary (object) {
  return request({
    url: '/device/dictDetail/getLabelByCode',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  字典--获取区域字典值
export function getAreaDictionary (object) {
  return request({
    url: `/attendance/admin/manage/getTreeNodesByLevel/${object.treeLevel}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  字典--获取人员字典值
export function getUserDictionary (object) {
  return request({
    url: `/attendance/admin/manage/getUserListByProjectId/${object.projectId}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
