import { createStore } from 'vuex'

export const store = createStore({
  state () {
    return {
      //  菜单
      menuList: [],
      //  权限
      menuLimit: [],
      //  字典-区域至项目
      projectList: [],
      //  字典-区域至部门
      deptList: [],
      //  字典-级联配置
      selectProps: {
        value: 'id',
        label: 'name'
      },
      //  字典-设置状态
      installList: [
        { label: '未设置', code: 0 },
        { label: '已设置', code: 1 }
      ]
    }
  }
})
