export function formatFullDateTime (date) {
  const time = new Date(date)
  const Y = time.getFullYear() + '-'
  const M = (time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1) + '-'
  const D = (time.getDate() < 10 ? ('0' + time.getDate()) : time.getDate()) + ' '
  const h = (time.getHours() < 10) ? '0' + time.getHours() + ':' : time.getHours() + ':'
  const m = (time.getMinutes() < 10) ? '0' + time.getMinutes() + ':' : time.getMinutes() + ':'
  const s = (time.getSeconds() < 10) ? '0' + time.getSeconds() : time.getSeconds()
  return Y + M + D + h + m + s
}

export function formatFullDate (date) {
  const time = new Date(date)
  const Y = time.getFullYear() + '-'
  const M = (time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1) + '-'
  const D = (time.getDate() < 10 ? ('0' + time.getDate()) : time.getDate())
  return Y + M + D
}

export function formatFullTime (date) {
  const time = new Date(date)
  const H = (time.getHours() < 10) ? '0' + time.getHours() + ':' : time.getHours() + ':'
  const M = (time.getMinutes() < 10) ? '0' + time.getMinutes() + ':' : time.getMinutes() + ':'
  const S = (time.getSeconds() < 10) ? '0' + time.getSeconds() : time.getSeconds()
  return H + M + S
}
